% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/aMNLFA_sample.R
\name{aMNLFA.sample}
\alias{aMNLFA.sample}
\title{aMNLFA sampling function}
\usage{
aMNLFA.sample(input.object)
}
\arguments{
\item{input.object}{The aMNLFA object (created using the aMNLFA.object function) which provides instructions for the function.}
}
\value{
No return value. Generates a calibration data file in the directory specified in the aMNLFA.object.
}
\description{
This function generates a single-record dataset using a random sample of time points from the multiple-record sample.
}
\examples{
 wd <- tempdir()
 first<-paste0(system.file(package='aMNLFA'),"/extdata")
 the.list <- list.files(first,full.names=TRUE)
 file.copy(the.list,wd,overwrite=TRUE)
 
 ob <- aMNLFA::aMNLFA.object(dir = wd, 
 mrdata = xstudy, 
 indicators = paste0("BIN_", 1:12),
 catindicators = paste0("BIN_", 1:12), 
 meanimpact = c("AGE", "GENDER", "STUDY"), 
 varimpact = c("AGE", "GENDER", "STUDY"), 
 measinvar = c("AGE", "GENDER", "STUDY"),
 factors = c("GENDER", "STUDY"),
 ID = "ID",
 thresholds = FALSE)
 
 aMNLFA.sample(ob)
}
\keyword{MNLFA}
